# エンタープライズ情報コマンド

#### 使い方 <a href="#usage-2" id="usage-2"></a>

```bash
enterprise-info command [--options] OR ei command [--options]
```

**別名:** `ei`

#### コマンド一覧

| コマンド                              | 説明                  | 別名   |
| --------------------------------- | ------------------- | ---- |
| [`tree`](#enterprise-info-tree)   | エンタープライズのツリー構造を表示する | (既定) |
| [`node`](#enterprise-info-tree-1) | ノード情報を表示する          | `n`  |
| [`user`](#enterprise-info-tree-2) | ユーザー情報を表示する         | `u`  |
| [`team`](#enterprise-info-tree-3) | チーム情報を表示する          | `t`  |
| [`role`](#enterprise-info-tree-4) | ロール情報を表示する          | `r`  |

### エンタープライズ情報ツリーコマンド <a href="#enterprise-info-tree" id="enterprise-info-tree"></a>

エンタープライズのツリー構造を表示します。

<details>

<summary>DotNet CLI</summary>

**コマンド:** `enterprise-info`

**パラメータ:**

* `--node` - ノード (名前またはID) による結果の絞り込み
* `-v`, `--verbose` - 詳細情報の出力

**例:**

```
My Vault> enterprise-info 
Test Root
├── 19 user(s)
├── 8 team(s)
├── 19 role(s)
├── [Test1 Node]
│   ├── 1 user(s)
│   ├── 1 team(s)
│   └── 1 role(s)
├── [Test2]
│   ├── 3 user(s)
│   ├── 3 team(s)
│   ├── 4 role(s)
│   └── [PCTNode]
│       ├── 2 user(s)
│       ├── 1 team(s)
│       └── 1 role(s)
└── [Testing Node]
    └── [Test]
        ├── 2 user(s)
        └── 1 team(s)
```

</details>

<details>

<summary>DotNet SDK</summary>

未実装

</details>

<details>

<summary>PowerCommander</summary>

**コマンド:** `Get-KeeperEnterpriseInfoTree`

**構文:**

```powershell
Get-KeeperEnterpriseInfoTree
```

**別名:** `keitree`

**パラメータ:**

* `-Node` - ノード (名前またはID) による結果の絞り込み
* `-Detailed` - 詳細情報の出力
* `-Output` - 出力ファイル名

**例:**

```powershell
PS> Get-KeeperEnterpriseInfoTree
Test Root
 +-- Test1 Node
  |   +-- 1 user(s)
  |   +-- 1 role(s)
  |   +-- 1 team(s)
 +-- Test2
  |   +-- PCTNode
  |    |   +-- 2 user(s)
  |    |   +-- 1 role(s)
  |    |   +-- 1 team(s)
  |   +-- 3 user(s)
  |   +-- 4 role(s)
  |   +-- 3 team(s)
 +-- Testing Node
  |   +-- Test
  |    |   +-- 2 user(s)
  |       +-- 1 team(s)
 +-- 19 user(s)
 +-- 19 role(s)
 +-- 8 team(s)
```

</details>

<details>

<summary>Python CLI</summary>

**コマンド:** `enterprise-info tree`

**フラグ:**

* `--node` - ノード (名前またはID) による結果の絞り込み
* `-v`, `--verbose` - 詳細情報の出力

</details>

<details>

<summary>Python SDK</summary>

非対応

</details>

### エンタープライズ情報ノードコマンド <a href="#enterprise-info-tree-1" id="enterprise-info-tree-1"></a>

ノード情報を表示します。

<details>

<summary>DotNet CLI</summary>

**コマンド:** `enterprise-info --nodes`

**パラメータ:**

* `-c`, `--columns` - 利用可能な列のカンマ区切りリスト: `parent_node`, `parent_node_id`, `user_count`, `users`, `team_count`, `teams`, `role_count`, `roles`
* `--format` - 出力形式: `json`, `table`, `csv`
* `--output` - 出力ファイル名
* `--pattern` - 検索パターン (任意)
* `--limit` - 行数の上限

**例:**

```
My Vault> enterprise-info --nodes --columns "user_count,team_count,role_count" 
  #  ノード ID       名前                ユーザー数  チーム数    ロール数
---  --------------  ------------------  ----------  ----------  ----------
  1  70411692250750  Test1 Node          1           1           1
  2  70411692250884  Test1               3           3           4


```

</details>

<details>

<summary>DotNet SDK</summary>

未実装

</details>

<details>

<summary>PowerCommander</summary>

**コマンド:** `Get-KeeperEnterpriseInfoNode`

**構文:**

```powershell
 Get-KeeperEnterpriseInfoNode
```

**別名:** `kein`

**パラメータ:**

* `-Columns` - 利用可能な列のカンマ区切りリスト: `parent_node`, `user_count`, `users`, `team_count`, `teams`, `role_count`, `roles`, `provisioning`
* `-Node` - ノードでの絞り込み
* `-Format` - 出力形式 (`json` / `table` / `csv`)
* `-Output` - 出力ファイル名
* `-Pattern` - 検索パターン (任意)
* `-Limit` - 行数の上限
* `-Offset` - ページ分割用レコードのスキップ

**例:**

```powershell
PS> Get-KeeperEnterpriseInfoNode
NodeId     : 70411692250750
Name       : Test Node
ParentNode : Test Root
UserCount  : 1
TeamCount  : 1
RoleCount  : 1

NodeId     : 70411692250884
Name       : Test1
ParentNode : Test Root
UserCount  : 3
TeamCount  : 3
RoleCount  : 4
```

</details>

<details>

<summary>Python CLI</summary>

**コマンド:** `enterprise-info node`

**フラグ:**

* `-c`, `--columns` - 利用可能な列のカンマ区切りリスト: `parent_node`, `user_count`, `users`, `team_count`, `teams`, `role_count`, `roles`, `provisioning`
* `--format` - 出力形式: `json`, `table`, `csv`
* `--output` - 出力ファイル名
* `pattern` - 検索パターン (任意)

</details>

<details>

<summary>Python SDK</summary>

非対応

</details>

### エンタープライズ情報ユーザーコマンド <a href="#enterprise-info-tree-2" id="enterprise-info-tree-2"></a>

ユーザー情報を表示します。

<details>

<summary>DotNet CLI</summary>

**コマンド:** `enterprise-info --users`

**フラグ:**

* `-c`, `--columns` - 利用可能な列のカンマ区切りリスト: `name`, `status`, `transfer_status`, `node`, `role_count`, `roles`, `team_count`, `teams`, `queued_team_count`, `queued_teams`, `alias`, `2fa_enabled`
* `--format` - 出力形式: `json`, `table`, `csv`
* `--output` - 出力ファイル名
* `--pattern` - 検索パターン (任意)
* `--limit` - 行数の上限

**例:**

```
My Vault> enterprise-info --users --columns "status,node,role_count"
  #  ユーザー ID     メール                              状態      ノード                                 ロール数
---  --------------  ---------------------------------  --------  -----------------------------------  ----------
  1  70411693853058  abcwfef@email.com                  Inactive  Test Root\Test1\PCTNode              1
  2  70411693850632  test@gmail.com                     Active    Test Root                            3

```

</details>

<details>

<summary>DotNet SDK</summary>

未実装

</details>

<details>

<summary>PowerCommander</summary>

**コマンド:** `Get-KeeperEnterpriseInfoUser`

**構文:**

```powershell
 Get-KeeperEnterpriseInfoUser
```

**別名:** `keiu`

**パラメータ:**

* `-Columns` - 利用可能な列のカンマ区切りリスト: `name`, `status`, `transfer_status`, `node`, `role_count`, `roles`, `team_count`, `teams`, `queued_team_count`, `queued_teams`, `alias`, `2fa_enabled`
* `-Node` - ノードでの絞り込み
* `-Format` - 出力形式 (`json` / `table` / `csv`)
* `-Output` - 出力ファイル名
* `-Pattern` - 検索パターン (任意)
* `-Limit` - 行数の上限
* `-Offset` - ページ分割用レコードのスキップ

**例:**

```powershell
PS> Get-KeeperEnterpriseInfoUser

        UserId Email                             Name                  Status  TransferStatus    Node
        ------ -----                             ----                  ------  --------------    ----
70411693853058 abcwfef@email.com                 SEA                   Invited Pending transfer  Test\PCTNode
70411693850634 test@gmail.com                bisal ranjan              Active  Transfer accepted Test Root
```

</details>

<details>

<summary>Python CLI</summary>

**コマンド:** `enterprise-info user`

**フラグ:**

* `-c`, `--columns` - 利用可能な列のカンマ区切りリスト: `name`, `status`, `transfer_status`, `node`, `role_count`, `roles`, `team_count`, `teams`, `queued_team_count`, `queued_teams`, `alias`, `2fa_enabled`
* `--format` - 出力形式: `json`, `table`, `csv`
* `--output` - 出力ファイル名
* `pattern` - 検索パターン (任意)

</details>

<details>

<summary>Python SDK</summary>

非対応

</details>

### エンタープライズ情報チームコマンド <a href="#enterprise-info-tree-3" id="enterprise-info-tree-3"></a>

チーム情報を表示します。

<details>

<summary>DotNet CLI</summary>

**コマンド:** `enterprise-info --teams`

**フラグ:**

* `-c`, `--columns` - 利用可能な列のカンマ区切りリスト: `restricts`, `node`, `user_count`, `users`, `queued_user_count`, `queued_users`, `role_count`, `roles`
* `--format` - 出力形式: `json`, `table`, `csv`
* `--output` - 出力ファイル名
* `--pattern` - 検索パターン (任意)
* `--limit` - 行数の上限

**例:**

```
My Vault> enterprise-info --teams                                   
  #  チーム UID              名前                     制限       ノード                                 ユーザー数  キュー済みユーザー数
---  ----------------------  -----------------------  ---------  -----------------------------------  ----------  -----------------
  1  zlnqXGw9TLHTJocOQqJ7ug  Admin                               Test root                            3           1                
  2  hwf4d-yZRHqHJsSvRVjG_A  Dev team                            Test root\Dev                        0           0
  3  VrLTxLUuBWvk1cVfH2_wDA  Google                   S          Test root                            0           0 
```

</details>

<details>

<summary>DotNet SDK</summary>

未実装

</details>

<details>

<summary>PowerCommander</summary>

**コマンド:** `Get-KeeperEnterpriseInfoTeam`

**構文:**

```powershell
 Get-KeeperEnterpriseInfoTeam
```

**別名:** `keit`

**パラメータ:**

* `-Columns` - 利用可能な列のカンマ区切りリスト: `restricts`, `node`, `user_count`, `users`, `queued_user_count`, `queued_users`, `role_count`, `roles`
* `-Node` - ノードでの絞り込み
* `-ExactNode` - 完全一致ノードのみでの絞り込み
* `-Format` - 出力形式 (`json` / `table` / `csv`)
* `-Output` - 出力ファイル名
* `-Pattern` - 検索パターン (任意)
* `-Limit` - 行数の上限
* `-Offset` - ページ分割用レコードのスキップ

**例:**

```powershell
PS> Get-KeeperEnterpriseInfoTeam

TeamUid                Name                    Restricts    Node                UserCount
-------                ----                    ---------    ----                ---------
zlnqXGw9TLHTJocOQqJ7ug Admin                                Test Root                 3
hwf4d-yZRHqHJsSvRVjG_A Dev team                             Dev                       0
VrLTxLUuBWvk1cVfH2_wDA Google                  Share        Test Root                 0
```

</details>

<details>

<summary>Python CLI</summary>

**コマンド:** `enterprise-info team`

**フラグ:**

* `-c`, `--columns` - 利用可能な列のカンマ区切りリスト: `restricts`, `node`, `user_count`, `users`, `queued_user_count`, `queued_users`, `role_count`, `roles`
* `--format` - 出力形式: `json`, `table`, `csv`
* `--output` - 出力ファイル名
* `pattern` - 検索パターン (任意)

</details>

<details>

<summary>Python SDK</summary>

非対応

</details>

### エンタープライズ情報ロールコマンド <a href="#enterprise-info-tree-4" id="enterprise-info-tree-4"></a>

ロール情報を表示します。

<details>

<summary>DotNet CLI</summary>

**コマンド:** `enterprise-info --roles`

**フラグ:**

* `-c`, `--columns` - 利用可能な列のカンマ区切りリスト: `visible_below`, `default_role`, `admin`, `node`, `user_count`, `users`, `team_count`, `teams`
* `--format` - 出力形式: `json`, `table`, `csv`
* `--output` - 出力ファイル名
* `--pattern` - 検索パターン (任意)
* `--limit` - 行数の上限

**例:**

```
My Vault> enterprise-info --roles
  #  ロール ID       名前                   既定ロール    管理   ノード                                              ユーザー数
---  --------------  ---------------------  ------------  -----  ------------------------------------------------  ----------    
  1  70411693850822  Admin                  -             -      Test Root\SSO TEST                                2
  2  70411693850629  All Users              X             -      Test Root                                         32
  3  70411693853157  ARoleTest12            X             -      Test Root\Test1                                   1
 
```

</details>

<details>

<summary>DotNet SDK</summary>

未実装

</details>

<details>

<summary>PowerCommander</summary>

**コマンド:** `Get-KeeperEnterpriseInfoRole`

**構文:**

```powershell
 Get-KeeperEnterpriseInfoRole
```

**別名:** `keir`

**パラメータ:**

* `-Columns` - 利用可能な列のカンマ区切りリスト (`visible_below`, `default_role`, `admin`, `node`, `user_count`, `users`, `team_count`, `teams`)
* `-Node` - ノードでの絞り込み
* `-ExactNode` - 完全一致ノードのみでの絞り込み
* `-Format` - 出力形式 (`json` / `table` / `csv`)
* `-Output` - 出力ファイル名
* `-Pattern` - 検索パターン (任意)
* `-Limit` - 行数の上限
* `-Offset` - ページ分割用レコードのスキップ

**例:**

```powershell
PS>  Get-KeeperEnterpriseInfoRole

        RoleId Name                  VisibleBelow DefaultRole Admin Node                             UserCount
        ------ ----                  ------------ ----------- ----- ----                             ---------
70411693850815 Admin                        False       False False SSO TESTING                         2
70411693850822 Admin                        False       False False SSO TEST                            2
70411693850629 All Users                     True        True False Test Root                           32
```

</details>

<details>

<summary>Python CLI</summary>

**コマンド:** `enterprise-info role`

**フラグ:**

* `-c`, `--columns` - 利用可能な列のカンマ区切りリスト: `visible_below`, `default_role`, `admin`, `node`, `user_count`, `users`, `team_count`, `teams`
* `--format` - 出力形式: `json`, `table`, `csv`
* `--output` - 出力ファイル名
* `pattern` - 検索パターン (任意)

</details>

<details>

<summary>Python SDK</summary>

非対応

</details>

### エンタープライズ情報管理対象企業コマンド <a href="#enterprise-info-managed-company" id="enterprise-info-managed-company"></a>

管理対象企業の情報を表示します。

<details>

<summary>DotNet CLI</summary>

近日公開

</details>

<details>

<summary>DotNet SDK</summary>

未実装

</details>

<details>

<summary>PowerCommander</summary>

**コマンド:** `Get-KeeperEnterpriseInfoManagedCompany`

**構文:**

```powershell
Get-KeeperEnterpriseInfoManagedCompany
```

**別名:** `keimc`

**パラメータ:**

* `-ExactNode` - 完全一致ノードのみでの絞り込み
* `-Format` - 出力形式 (`json` / `table` / `csv`)
* `-Output` - 出力ファイル名
* `-Offset` - ページ分割用レコードのスキップ
* `-Pattern` - 検索パターン (任意)
* `-Limit` - 行数の上限

**例:**

```powershell
PS>  Get-KeeperEnterpriseInfoManagedCompany

CompanyId CompanyName                                        Node                          Plan           Storage
--------- -----------                                        ----                          ----           -------       
   311310 21Jan                                              M1labs                       Business       STORAGE_1TB   
   310855 ADD NO ADDON                                       M1 Provisioning              Enterprise     STORAGE_100GB 
   310858 ADD ON PREM                                        M1 Provisioning              Business       STORAGE_100GB 
```

</details>

<details>

<summary>Python CLI</summary>

未実装

</details>

<details>

<summary>Python SDK</summary>

非対応

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.keeper.io/keeperpam/jp/commander-sdk/keeper-commander-sdks/sdk-command-reference/enterprise-management-commands/enterprise-info-commands.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
